Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class SubstituteType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.IdentifierType
          be.fgov.ehealth.ehbox.core.v3.BoxIdType
              be.fgov.ehealth.ehbox.consultation.protocol.v3.SubstituteType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:52:47+02:00",
               comments="JAXB RI v2.2.11")
    public class SubstituteType

extends BoxIdType
implements Serializable

Java class for SubstituteType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubstituteType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType">
           <sequence>
             <element name="AbsentFrom" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AbsentTo" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubstituteType()`

Method Summary
`org.joda.time.DateTime` | `getAbsentFrom()` Gets the value of the absentFrom property.
`org.joda.time.DateTime` | `getAbsentTo()` Gets the value of the absentTo property.
`void` | `setAbsentFrom(org.joda.time.DateTime value)` Sets the value of the absentFrom property.
`void` | `setAbsentTo(org.joda.time.DateTime value)` Sets the value of the absentTo property.

Methods inherited from class be.fgov.ehealth.ehbox.core.v3.BoxIdType
`getQuality, setQuality`

Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType
`getId, getSubType, getType, setId, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstituteType

    public SubstituteType()

Method Detail

### getAbsentFrom

    public org.joda.time.DateTime getAbsentFrom()

  Gets the value of the absentFrom property.

  Returns:
    possible object is `String`

### setAbsentFrom

    public void setAbsentFrom(org.joda.time.DateTime value)

  Sets the value of the absentFrom property.

  Parameters:
    `value` - allowed object is `String`

### getAbsentTo

    public org.joda.time.DateTime getAbsentTo()

  Gets the value of the absentTo property.

  Returns:
    possible object is `String`

### setAbsentTo

    public void setAbsentTo(org.joda.time.DateTime value)

  Sets the value of the absentTo property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.